
_Main_Init:

;electronique_interface_midi_013_16f628.mpas,61 :: 		begin
;electronique_interface_midi_013_16f628.mpas,62 :: 		CMCON := 7;            // disable comparators
	MOVLW      7
	MOVWF      CMCON+0
;electronique_interface_midi_013_16f628.mpas,63 :: 		OPTION_REG := 0;       // don't disable pullup
	CLRF       OPTION_REG+0
;electronique_interface_midi_013_16f628.mpas,64 :: 		INTCON.GIE := 0;       // |- enable interrupt later
	BCF        INTCON+0, 7
;electronique_interface_midi_013_16f628.mpas,65 :: 		INTCON.PEIE := 0;      // |
	BCF        INTCON+0, 6
;electronique_interface_midi_013_16f628.mpas,66 :: 		TRISA      := %11101111;
	MOVLW      239
	MOVWF      TRISA+0
;electronique_interface_midi_013_16f628.mpas,67 :: 		TRISB      := %11110010;
	MOVLW      242
	MOVWF      TRISB+0
;electronique_interface_midi_013_16f628.mpas,68 :: 		PORTA      := %00010000;  // clear porta
	MOVLW      16
	MOVWF      PORTA+0
;electronique_interface_midi_013_16f628.mpas,69 :: 		PORTB      := 0;  // clear portb
	CLRF       PORTB+0
;electronique_interface_midi_013_16f628.mpas,70 :: 		T1CON.T1CKPS1 := 1;
	BSF        T1CON+0, 5
;electronique_interface_midi_013_16f628.mpas,73 :: 		TXSTA.SYNC := 0;    // asynchronous mode
	BCF        TXSTA+0, 4
;electronique_interface_midi_013_16f628.mpas,74 :: 		TXSTA.TX9 := 0;     // 8-bits transmission
	BCF        TXSTA+0, 6
;electronique_interface_midi_013_16f628.mpas,75 :: 		TXSTA.TXEN := 1;    // Tx enabled
	BSF        TXSTA+0, 5
;electronique_interface_midi_013_16f628.mpas,76 :: 		RCSTA.CREN := 1;    // enable receiving / accept continuous mode
	BSF        RCSTA+0, 4
;electronique_interface_midi_013_16f628.mpas,77 :: 		RCSTA.SPEN := 1;    // Rx enabled;
	BSF        RCSTA+0, 7
;electronique_interface_midi_013_16f628.mpas,78 :: 		RCSTA.RX9 := 0;     // 8-bits transmission
	BCF        RCSTA+0, 6
;electronique_interface_midi_013_16f628.mpas,79 :: 		PIE1.RCIE := 1;     // enable interrupt for UART Rx
	BSF        PIE1+0, 5
;electronique_interface_midi_013_16f628.mpas,81 :: 		UART1_Init(cMidiBaudrate); // speed for MIDI communication
	MOVLW      15
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;electronique_interface_midi_013_16f628.mpas,83 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Main_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R11+0, 1
	GOTO       L__Main_Init1
	NOP
;electronique_interface_midi_013_16f628.mpas,86 :: 		Memset(@ArrRxBuf, 0, cRxBufSize);
	MOVLW      _ArrRxBuf+0
	MOVWF      FARG_memset_p+0
	CLRF       FARG_memset_character+0
	MOVLW      64
	MOVWF      FARG_memset_n+0
	CLRF       FARG_memset_n+1
	CALL       _memset+0
;electronique_interface_midi_013_16f628.mpas,87 :: 		iRxHead     := 0;
	CLRF       _iRxHead+0
;electronique_interface_midi_013_16f628.mpas,88 :: 		iRxTail     := 0;
	CLRF       _iRxTail+0
;electronique_interface_midi_013_16f628.mpas,89 :: 		bRxBufFull  := false ;
	CLRF       _bRxBufFull+0
;electronique_interface_midi_013_16f628.mpas,90 :: 		bRxBufEmpty := true;
	MOVLW      255
	MOVWF      _bRxBufEmpty+0
;electronique_interface_midi_013_16f628.mpas,91 :: 		iCounter    := 0;
	CLRF       _iCounter+0
;electronique_interface_midi_013_16f628.mpas,94 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_013_16f628.mpas,95 :: 		iMTCCount := 0;
	CLRF       _iMTCCount+0
;electronique_interface_midi_013_16f628.mpas,96 :: 		iDivRate := 0;
	CLRF       _iDivRate+0
;electronique_interface_midi_013_16f628.mpas,97 :: 		Out_Led := 0;      // LED on
	BCF        RA4_bit+0, 4
;electronique_interface_midi_013_16f628.mpas,99 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_interface_midi_013_16f628.mpas,102 :: 		begin
;electronique_interface_midi_013_16f628.mpas,104 :: 		if PIR1.RCIF = 1 then
	BTFSS      PIR1+0, 5
	GOTO       L__Interrupt4
;electronique_interface_midi_013_16f628.mpas,106 :: 		iRxStatus := RCSTA; // Error-handling
	MOVF       RCSTA+0, 0
	MOVWF      _iRxStatus+0
;electronique_interface_midi_013_16f628.mpas,109 :: 		iRxData := RCREG;
	MOVF       RCREG+0, 0
	MOVWF      _iRxData+0
;electronique_interface_midi_013_16f628.mpas,113 :: 		if (iRxStatus and %00000110) = 0 then
	MOVLW      6
	ANDWF      _iRxStatus+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt7
;electronique_interface_midi_013_16f628.mpas,115 :: 		if (not bRxBufFull) then       // if buffer full, do nothing
	COMF       _bRxBufFull+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt10
;electronique_interface_midi_013_16f628.mpas,118 :: 		if (iRxData <> cMIDI_Active_Sensing) then
	MOVF       _iRxData+0, 0
	XORLW      254
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt13
;electronique_interface_midi_013_16f628.mpas,120 :: 		ArrRxBuf[iRxTail] := iRxData;
	MOVF       _iRxTail+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	MOVF       _iRxData+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_013_16f628.mpas,121 :: 		Inc(iRxTail);
	INCF       _iRxTail+0, 1
;electronique_interface_midi_013_16f628.mpas,122 :: 		if iRxTail > cRxBufSize then // reach buffer end, return to buffer start
	MOVF       _iRxTail+0, 0
	SUBLW      64
	BTFSC      STATUS+0, 0
	GOTO       L__Interrupt16
;electronique_interface_midi_013_16f628.mpas,123 :: 		iRxTail := 0;
	CLRF       _iRxTail+0
L__Interrupt16:
;electronique_interface_midi_013_16f628.mpas,124 :: 		bRxBufEmpty := false;        // flag that some data have been received
	CLRF       _bRxBufEmpty+0
;electronique_interface_midi_013_16f628.mpas,125 :: 		if iRxTail = iRxHead then
	MOVF       _iRxTail+0, 0
	XORWF      _iRxHead+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt19
;electronique_interface_midi_013_16f628.mpas,126 :: 		bRxBufFull := true;
	MOVLW      255
	MOVWF      _bRxBufFull+0
L__Interrupt19:
;electronique_interface_midi_013_16f628.mpas,127 :: 		end;
L__Interrupt13:
;electronique_interface_midi_013_16f628.mpas,128 :: 		end;
L__Interrupt10:
;electronique_interface_midi_013_16f628.mpas,129 :: 		end
	GOTO       L__Interrupt8
;electronique_interface_midi_013_16f628.mpas,130 :: 		else
L__Interrupt7:
;electronique_interface_midi_013_16f628.mpas,134 :: 		Clearbit(RCSTA, CREN);
	BCF        RCSTA+0, 4
;electronique_interface_midi_013_16f628.mpas,135 :: 		Setbit(RCSTA, CREN);
	BSF        RCSTA+0, 4
;electronique_interface_midi_013_16f628.mpas,136 :: 		end;
L__Interrupt8:
;electronique_interface_midi_013_16f628.mpas,137 :: 		end;
L__Interrupt4:
;electronique_interface_midi_013_16f628.mpas,138 :: 		end;
L_end_Interrupt:
L__Interrupt81:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_Midi_DataReceived:

;electronique_interface_midi_013_16f628.mpas,141 :: 		begin
;electronique_interface_midi_013_16f628.mpas,143 :: 		result := (not bRxBufEmpty);
	COMF       _bRxBufEmpty+0, 0
	MOVWF      R1+0
;electronique_interface_midi_013_16f628.mpas,145 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Midi_DataReceived:
	RETURN
; end of _Midi_DataReceived

_Midi_MsgReceived:

;electronique_interface_midi_013_16f628.mpas,148 :: 		begin
;electronique_interface_midi_013_16f628.mpas,153 :: 		(ArrRxData[1] = cMIDI_Sysex_MTC) and
	MOVF       _ArrRxData+0, 0
	XORLW      248
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      _bMTC+0
;electronique_interface_midi_013_16f628.mpas,154 :: 		(iRxByteCount = 1)
	MOVF       _iRxByteCount+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      _bMTC+0, 1
;electronique_interface_midi_013_16f628.mpas,155 :: 		);
;electronique_interface_midi_013_16f628.mpas,158 :: 		result := true; // messages accepted are MTC and all others !
	MOVLW      255
	MOVWF      R1+0
;electronique_interface_midi_013_16f628.mpas,160 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Midi_MsgReceived:
	RETURN
; end of _Midi_MsgReceived

_Midi_RxReadByte:

;electronique_interface_midi_013_16f628.mpas,166 :: 		begin
;electronique_interface_midi_013_16f628.mpas,168 :: 		Rk := 0;
	CLRF       R3+0
;electronique_interface_midi_013_16f628.mpas,170 :: 		if bRxBufEmpty = false then
	MOVF       _bRxBufEmpty+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Midi_RxReadByte25
;electronique_interface_midi_013_16f628.mpas,173 :: 		Rk := ArrRxBuf[iRxHead];
	MOVF       _iRxHead+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_013_16f628.mpas,182 :: 		if (Rk = cMIDI_Sysex_MTC) then
	MOVF       R1+0, 0
	XORLW      248
	BTFSS      STATUS+0, 2
	GOTO       L__Midi_RxReadByte28
;electronique_interface_midi_013_16f628.mpas,183 :: 		iRxByteCount := 1
	MOVLW      1
	MOVWF      _iRxByteCount+0
	GOTO       L__Midi_RxReadByte29
;electronique_interface_midi_013_16f628.mpas,184 :: 		else
L__Midi_RxReadByte28:
;electronique_interface_midi_013_16f628.mpas,185 :: 		inc(iRxByteCount);
	INCF       _iRxByteCount+0, 1
L__Midi_RxReadByte29:
;electronique_interface_midi_013_16f628.mpas,186 :: 		ArrRxData[iRxByteCount] := Rk;
	DECF       _iRxByteCount+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	MOVF       R3+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_013_16f628.mpas,188 :: 		ArrRxBuf[iRxHead] := 0; // clear value that has been read (not really needed ?)
	MOVF       _iRxHead+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	CLRF       INDF+0
;electronique_interface_midi_013_16f628.mpas,189 :: 		inc(iRxHead);
	INCF       _iRxHead+0, 1
;electronique_interface_midi_013_16f628.mpas,190 :: 		if iRxHead > cRxBufSize then
	MOVF       _iRxHead+0, 0
	SUBLW      64
	BTFSC      STATUS+0, 0
	GOTO       L__Midi_RxReadByte31
;electronique_interface_midi_013_16f628.mpas,191 :: 		iRxHead := 0;
	CLRF       _iRxHead+0
L__Midi_RxReadByte31:
;electronique_interface_midi_013_16f628.mpas,192 :: 		bRxBufEmpty := (iRxHead = iRxTail); // all received bytes have been read
	MOVF       _iRxHead+0, 0
	XORWF      _iRxTail+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      _bRxBufEmpty+0
;electronique_interface_midi_013_16f628.mpas,194 :: 		end;
L__Midi_RxReadByte25:
;electronique_interface_midi_013_16f628.mpas,195 :: 		Result := Rk;
	MOVF       R3+0, 0
	MOVWF      R2+0
;electronique_interface_midi_013_16f628.mpas,196 :: 		end;
	MOVF       R2+0, 0
	MOVWF      R0+0
L_end_Midi_RxReadByte:
	RETURN
; end of _Midi_RxReadByte

_Midi_TxNotePlay:

;electronique_interface_midi_013_16f628.mpas,199 :: 		begin
;electronique_interface_midi_013_16f628.mpas,200 :: 		UART1_Write(Data1);
	MOVF       FARG_Midi_TxNotePlay_Data1+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_013_16f628.mpas,201 :: 		UART1_Write(Data2);
	MOVF       FARG_Midi_TxNotePlay_Data2+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_013_16f628.mpas,202 :: 		UART1_Write(Data3);
	MOVF       FARG_Midi_TxNotePlay_Data3+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_013_16f628.mpas,203 :: 		end;
L_end_Midi_TxNotePlay:
	RETURN
; end of _Midi_TxNotePlay

_Rx_Reset:

;electronique_interface_midi_013_16f628.mpas,206 :: 		begin
;electronique_interface_midi_013_16f628.mpas,207 :: 		for i := 1 to 3 do
	MOVLW      1
	MOVWF      _i+0
L__Rx_Reset36:
;electronique_interface_midi_013_16f628.mpas,208 :: 		ArrRxData[i] := $00;
	DECF       _i+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	CLRF       INDF+0
	MOVF       _i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__Rx_Reset39
	INCF       _i+0, 1
	GOTO       L__Rx_Reset36
L__Rx_Reset39:
;electronique_interface_midi_013_16f628.mpas,209 :: 		end;
L_end_Rx_Reset:
	RETURN
; end of _Rx_Reset

_UserPrefs_DivRateLoad:

;electronique_interface_midi_013_16f628.mpas,214 :: 		begin
;electronique_interface_midi_013_16f628.mpas,215 :: 		iDivCode := 0;
	CLRF       R0+0
;electronique_interface_midi_013_16f628.mpas,216 :: 		if In_DivRate_0 = 1 then iDivCode := iDivCode + 1;
	BTFSS      RA0_bit+0, 0
	GOTO       L__UserPrefs_DivRateLoad42
	INCF       R0+0, 1
L__UserPrefs_DivRateLoad42:
;electronique_interface_midi_013_16f628.mpas,217 :: 		if In_DivRate_1 = 1 then iDivCode := iDivCode + 2;
	BTFSS      RA1_bit+0, 1
	GOTO       L__UserPrefs_DivRateLoad45
	MOVLW      2
	ADDWF      R0+0, 1
L__UserPrefs_DivRateLoad45:
;electronique_interface_midi_013_16f628.mpas,218 :: 		if In_DivRate_2 = 1 then iDivCode := iDivCode + 4;
	BTFSS      RA2_bit+0, 2
	GOTO       L__UserPrefs_DivRateLoad48
	MOVLW      4
	ADDWF      R0+0, 1
L__UserPrefs_DivRateLoad48:
;electronique_interface_midi_013_16f628.mpas,219 :: 		if In_DivRate_3 = 1 then iDivCode := iDivCode + 8;
	BTFSS      RA3_bit+0, 3
	GOTO       L__UserPrefs_DivRateLoad51
	MOVLW      8
	ADDWF      R0+0, 1
L__UserPrefs_DivRateLoad51:
;electronique_interface_midi_013_16f628.mpas,220 :: 		iDivRate := iDivCode;
	MOVF       R0+0, 0
	MOVWF      _iDivRate+0
;electronique_interface_midi_013_16f628.mpas,221 :: 		end;
L_end_UserPrefs_DivRateLoad:
	RETURN
; end of _UserPrefs_DivRateLoad

_Main_Welcome:

;electronique_interface_midi_013_16f628.mpas,224 :: 		begin
;electronique_interface_midi_013_16f628.mpas,226 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L__Main_Welcome54:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome54
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome54
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome54
;electronique_interface_midi_013_16f628.mpas,227 :: 		Out_Led := 1;
	BSF        RA4_bit+0, 4
;electronique_interface_midi_013_16f628.mpas,228 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L__Main_Welcome55:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome55
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome55
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome55
;electronique_interface_midi_013_16f628.mpas,229 :: 		Out_Led := 0;
	BCF        RA4_bit+0, 4
;electronique_interface_midi_013_16f628.mpas,230 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L__Main_Welcome56:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome56
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome56
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome56
;electronique_interface_midi_013_16f628.mpas,231 :: 		Out_Led := 1;
	BSF        RA4_bit+0, 4
;electronique_interface_midi_013_16f628.mpas,239 :: 		end;
L_end_Main_Welcome:
	RETURN
; end of _Main_Welcome

_Interrupt_Enable:

;electronique_interface_midi_013_16f628.mpas,242 :: 		begin
;electronique_interface_midi_013_16f628.mpas,243 :: 		INTCON.GIE := bState;       // |- enable interrupt
	BTFSC      FARG_Interrupt_Enable_bState+0, 0
	GOTO       L__Interrupt_Enable90
	BCF        INTCON+0, 7
	GOTO       L__Interrupt_Enable91
L__Interrupt_Enable90:
	BSF        INTCON+0, 7
L__Interrupt_Enable91:
;electronique_interface_midi_013_16f628.mpas,244 :: 		INTCON.PEIE := bState;      // |
	BTFSC      FARG_Interrupt_Enable_bState+0, 0
	GOTO       L__Interrupt_Enable92
	BCF        INTCON+0, 6
	GOTO       L__Interrupt_Enable93
L__Interrupt_Enable92:
	BSF        INTCON+0, 6
L__Interrupt_Enable93:
;electronique_interface_midi_013_16f628.mpas,245 :: 		end;
L_end_Interrupt_Enable:
	RETURN
; end of _Interrupt_Enable

_main:

;electronique_interface_midi_013_16f628.mpas,247 :: 		begin
;electronique_interface_midi_013_16f628.mpas,248 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_interface_midi_013_16f628.mpas,252 :: 		Main_Welcome;
	CALL       _Main_Welcome+0
;electronique_interface_midi_013_16f628.mpas,255 :: 		UserPrefs_DivRateLoad;
	CALL       _UserPrefs_DivRateLoad+0
;electronique_interface_midi_013_16f628.mpas,259 :: 		Rx_Reset;
	CALL       _Rx_Reset+0
;electronique_interface_midi_013_16f628.mpas,260 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_013_16f628.mpas,263 :: 		Interrupt_Enable(true);
	MOVLW      255
	MOVWF      FARG_Interrupt_Enable_bState+0
	CALL       _Interrupt_Enable+0
;electronique_interface_midi_013_16f628.mpas,265 :: 		while true do
L__main60:
;electronique_interface_midi_013_16f628.mpas,269 :: 		if Midi_DataReceived then
	CALL       _Midi_DataReceived+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main65
;electronique_interface_midi_013_16f628.mpas,273 :: 		iByteToResent := Midi_RxReadByte;
	CALL       _Midi_RxReadByte+0
	MOVF       R0+0, 0
	MOVWF      _iByteToResent+0
;electronique_interface_midi_013_16f628.mpas,276 :: 		if Midi_MsgReceived then
	CALL       _Midi_MsgReceived+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main68
;electronique_interface_midi_013_16f628.mpas,280 :: 		if bMTC then
	MOVF       _bMTC+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main71
;electronique_interface_midi_013_16f628.mpas,283 :: 		if iMTCCount < iDivRate then
	MOVF       _iDivRate+0, 0
	SUBWF      _iMTCCount+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main74
;electronique_interface_midi_013_16f628.mpas,284 :: 		inc(iMTCCount)
	INCF       _iMTCCount+0, 1
	GOTO       L__main75
;electronique_interface_midi_013_16f628.mpas,285 :: 		else
L__main74:
;electronique_interface_midi_013_16f628.mpas,288 :: 		iMTCCount := 1;
	MOVLW      1
	MOVWF      _iMTCCount+0
;electronique_interface_midi_013_16f628.mpas,289 :: 		end;
L__main75:
;electronique_interface_midi_013_16f628.mpas,290 :: 		end;
L__main71:
;electronique_interface_midi_013_16f628.mpas,293 :: 		if ((not bMTC) or (bMTC and (iMTCCount = 1))) then
	COMF       _bMTC+0, 0
	MOVWF      R1+0
	MOVF       _iMTCCount+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       _bMTC+0, 0
	ANDWF      R0+0, 1
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main77
;electronique_interface_midi_013_16f628.mpas,294 :: 		UART1_Write(iByteToResent);
	MOVF       _iByteToResent+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
L__main77:
;electronique_interface_midi_013_16f628.mpas,296 :: 		end;
L__main68:
;electronique_interface_midi_013_16f628.mpas,297 :: 		end;
L__main65:
;electronique_interface_midi_013_16f628.mpas,299 :: 		end;
	GOTO       L__main60
;electronique_interface_midi_013_16f628.mpas,301 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
